### Method

# Gimp Procedure run

#### Declaration [src]

    GimpValueArray*
    gimp_procedure_run (
      GimpProcedure* procedure,
      GimpValueArray* args
    )

#### Description [src]

Runs the procedure, calling the run_func given in `gimp_procedure_new()`.

Available since: | 3.0

#### Parameters

`args` | `GimpValueArray`
| The `procedure`‘s arguments.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GimpValueArray`
| The `procedure`‘s return values.
| The caller of the method takes ownership of the data, and is responsible for freeing it.